xtr.h File Reference

The XTR public key system. More...

Go to the source code of this file.

## Classes

class | GFP2Element
| an element of GF(p^2) More...
class | GFP2_ONB< F >
| GF(p^2), optimal normal basis. More...

## Functions

void | XTR_FindPrimesAndGenerator (RandomNumberGenerator &rng, Integer &p, Integer &q, GFP2Element &g, unsigned int pbits, unsigned int qbits)
| Creates primes p,q and generator g for XTR.
GFP2Element | XTR_Exponentiate (const GFP2Element &b, const Integer &e, const Integer &p)

## Detailed Description

The XTR public key system.

The XTR public key system by Arjen K. Lenstra and Eric R. Verheul

Definition in file xtr.h.

## Function Documentation

## XTR_FindPrimesAndGenerator()

void XTR_FindPrimesAndGenerator | ( | RandomNumberGenerator & | rng,
|  | Integer & | p,
|  | Integer & | q,
|  | GFP2Element & | g,
|  | unsigned int | pbits,
|  | unsigned int | qbits
| ) |  |

Creates primes p,q and generator g for XTR.

Definition at line 24 of file xtr.cpp.

## XTR_Exponentiate()

GFP2Element XTR_Exponentiate | ( | const GFP2Element & | b,
|  | const Integer & | e,
|  | const Integer & | p
| ) |  |

Definition at line 73 of file xtr.cpp.